Writer class for OutputStream objects.

Unlike the Java counterpart, this class does not (yet) handle character set transformations. This will be an important function of this class with move to supporting PHP6.

package | phing.system.io

### Methods

## Construct a new OutputStreamWriter.

    __construct(\OutputStream $outStream)

### Parameters

#### $outStream

`\OutputStream`

OutputStream to write to

## Close the stream.

    close()

### Exceptions

`\IOException` | - if there is an error closing stream.

## Flush output to the stream.

    flush()

## Gets a string representation of attached stream resource.

    getResource() : string

that is being written to.

### Returns

`string`String representation of output stream

## Write char data to stream.

    write(\unknown_type $buf, \unknown_type $off, \unknown_type $len) : \unknown

### Parameters

#### $buf

`\unknown_type`

#### $off

`\unknown_type`

#### $len

`\unknown_type`

### Returns

`\unknown`

### Properties

##

    $outStream : \OutputStream